انتقل إلى المحتوى
ShopentlyLearn

المنتجات · الوصول إلى الملفات المستقبلية بعد الشراء

أُوقفت هذه العملية وتعيد 409 دون تغيير البيانات. اضبط الوصول لكل ملف رقمي على حدة من خلال اختيار المستلمين.

PATCH/api/v1/products/{product_id}/file-update-policy

طلب cURL

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request PATCH \
  --url https://shop.onshopently.com/api/v1/products/example/file-update-policy \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: files-example-update_policy_api_v1_products__product_id__file_update_policy_patch' \
  --header 'Content-Type: application/json' \
  --data-raw '{"days":365,"expected_version":1,"mode":"period","months":null}'

الاستجابة

{
  "error": {
    "code": "resource.state_conflict",
    "fields": null,
    "message": "The current resource state does not allow this operation."
  },
  "meta": {
    "request_id": "example-request"
  }
}

الصلاحيات المطلوبة

المصادقة
رمز الوصول
متاح بدءًا من
STANDARD
صلاحية المفتاح
إدارة ملفات المنتج · منتجات رقميةcatalog.product_file:write_digital